package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 支付参数配置表
 *
 * @author lihong
 * @since 2018-08-03
 */
public class PayConfig implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 微信appid
     */
    private String appId;

    /**
     * 支付key
     */
    private String key;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * 微信回调地址
     */
    private String notifyUrl;
    /**
     * 微信退款回调地址
     */
    private String cancel;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 证书位置
     */
    private String cert;

    /**
     * 支付名称
     */
    private String name;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置微信appid
     *
     * @param appId 微信appid
     */
    public void setAppId(String appId){
        this.appId = appId;
    }

    /**
     * 获取微信appid
     *
     * @return 微信appid
     */
    public String getAppId(){
        return appId;
    }


    /**
     * 设置支付key
     *
     * @param key 支付key
     */
    public void setKey(String key){
        this.key = key;
    }

    /**
     * 获取支付key
     *
     * @return 支付key
     */
    public String getKey(){
        return key;
    }


    /**
     * 设置商户号
     *
     * @param mchId 商户号
     */
    public void setMchId(String mchId){
        this.mchId = mchId;
    }

    /**
     * 获取商户号
     *
     * @return 商户号
     */
    public String getMchId(){
        return mchId;
    }


    /**
     * 设置微信回调地址
     *
     * @param notifyUrl 微信回调地址
     */
    public void setNotifyUrl(String notifyUrl){
        this.notifyUrl = notifyUrl;
    }

    /**
     * 获取微信回调地址
     *
     * @return 微信回调地址
     */
    public String getNotifyUrl(){
        return notifyUrl;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置证书位置
     *
     * @param cert 证书位置
     */
    public void setCert(String cert){
        this.cert = cert;
    }

    /**
     * 获取证书位置
     *
     * @return 证书位置
     */
    public String getCert(){
        return cert;
    }


    /**
     * 设置支付名称
     *
     * @param name 支付名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取支付名称
     *
     * @return 支付名称
     */
    public String getName(){
        return name;
    }

    public String getCancel() {
        return cancel;
    }

    public void setCancel(String cancel) {
        this.cancel = cancel;
    }
}